sh_cpudist.d(1m)

NAME
sh_cpudist.d - measure Bourne shell on-CPU times for types of operation.

SYNOPSIS
sh_cpudist.d

DESCRIPTION
This traces shell activity from all Bourne shells on the system that are running with sh provider support. This script prints distribution plots of on-CPU time for shell operations. Use sh_cputime.d for summary reports. Filename and call names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Shell provider, which may change as additional features are introduced. Check Shell/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # sh_cpudist.d

FIELDS

1   Filename of the shell or shellscript

2   Type of call (func/builtin/cmd)

3   Name of call

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
sh_cpudist.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)